/*
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://eu-egee.org/partners/ for details on the copyright holders.
 *  For license conditions see the license file or http://eu-egee.org/license.html
 *
 *  GLite Data Transfer Agents: VOView CredDAO Class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: CredDAO.h,v 1.2 2006/08/14 08:37:48 badino Exp $
 *  Release: $Name: glite-data-transfer-agents_R_3_0_2_2 $
 *
 */
#ifndef GLITE_DATA_TRANSFER_AGENTS_DAO_VO_CREDDAO_H_
#define GLITE_DATA_TRANSFER_AGENTS_DAO_VO_CREDDAO_H_

#include "glite/data/transfer/agent/dao/CredDAO.h"

namespace glite   {
namespace data    {
namespace transfer{
namespace agent   {
namespace dao     {
namespace vo      {

/**
 * Data Access Object For the model::Cred filtered on VOView
 * @interface
 */
class CredDAO : public glite::data::transfer::agent::dao::CredDAO {
public:

    /**
     * Destructor
     */
    virtual ~CredDAO(){}
};

} // End namespace vo
} // End namespace dao
} // End namespace agent
} // End namespace transfer
} // End namespace data
} // End namespace glite


#endif //GLITE_DATA_TRANSFER_AGENTS_DAO_VO_CREDDAO_H_
